libsigc++: sigc::signal< T_return(T_arg1, T_arg2)> Class Template Reference

libsigc++ 2.10.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
sigc::signal< T_return(T_arg1, T_arg2)> Class Template Reference

This specialization allow use of the sigc::signal<R(Args...)> syntax,. More...

`#include <sigc++/signal.h>`

Inheritance diagram for sigc::signal< T_return(T_arg1, T_arg2)>:
[legend]

## Classes
class | accumulated
| Convenience wrapper for the numbered sigc::signal2 template. More...

## Public Member Functions
| signal ()
| signal (const signal& src)
| signal (signal&& src)
signal& | operator= (const signal& src)
signal& | operator= (signal&& src)
Public Member Functions inherited from sigc::signal2< T_return, T_arg1, T_arg2, nil >
| signal2 ()
| signal2 (const signal2& src)
| signal2 (signal2&& src)
iterator | connect (const slot_type& slot_)
| Add a slot to the list of slots. More...
iterator | connect (slot_type&& slot_)
| Add a slot to the list of slots. More...
result_type | emit (type_trait_take_t< T_arg1 > _A_a1, type_trait_take_t< T_arg2 > _A_a2) const
| Triggers the emission of the signal. More...
result_type | emit_reverse (type_trait_take_t< T_arg1 > _A_a1, type_trait_take_t< T_arg2 > _A_a2) const
| Triggers the emission of the signal in reverse order (see emit()). More...
bound_const_mem_functor2< result_type, signal2, type_trait_take_t< T_arg1 >, type_trait_take_t< T_arg2 > > | make_slot () const
| Creates a functor that calls emit() on this signal. More...
result_type | operator() (type_trait_take_t< T_arg1 > _A_a1, type_trait_take_t< T_arg2 > _A_a2) const
| Triggers the emission of the signal (see emit()). More...
signal2& | operator= (const signal2& src)
signal2& | operator= (signal2&& src)
slot_list_type | slots ()
| Creates an STL-style interface for the signal's list of slots. More...
const slot_list_type | slots () const
| Creates an STL-style interface for the signal's list of slots. More...
Public Member Functions inherited from sigc::signal_base
| signal_base () noexcept
| signal_base (const signal_base& src) noexcept
| signal_base (signal_base&& src)
| ~signal_base ()
void | block (bool should_block=true) noexcept
| Sets the blocking state of all slots in the list. More...
bool | blocked () const noexcept
| Returns whether all slots in the list are blocked. More...
void | clear ()
| Empties the list of slots. More...
bool | empty () const noexcept
| Returns whether the list of slots is empty. More...
signal_base& | operator= (const signal_base& src)
signal_base& | operator= (signal_base&& src)
size_type | size () const noexcept
| Returns the number of slots in the list. More...
void | unblock () noexcept
| Unsets the blocking state of all slots in the list. More...
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable& src) noexcept
| trackable (trackable&& src)
| ~trackable ()
void | add_destroy_notify_callback (void* data, func_destroy_notify func) const
| Add a callback that is executed (notified) when the trackable object is detroyed. More...
void | notify_callbacks ()
| Execute and remove all previously installed callbacks. More...
trackable& | operator= (const trackable& src)
trackable& | operator= (trackable&& src)
void | remove_destroy_notify_callback (void* data) const
| Remove a callback previously installed with add_destroy_notify_callback(). More...

## Additional Inherited Members
Public Types inherited from sigc::signal2< T_return, T_arg1, T_arg2, nil >
typedef slot_list_type::const_iterator | const_iterator
typedef slot_list_type::const_reverse_iterator | const_reverse_iterator
typedef internal::signal_emit2< T_return, T_arg1, T_arg2, nil > | emitter_type
typedef slot_list_type::iterator | iterator
typedef emitter_type::result_type | result_type
typedef slot_list_type::reverse_iterator | reverse_iterator
typedef slot_list< slot_type > | slot_list_type
typedef slot< T_return(T_arg1, T_arg2)> | slot_type
Public Types inherited from sigc::signal_base
typedef std::size_t | size_type
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Protected Types inherited from sigc::signal_base
typedef internal::signal_impl::iterator_type | iterator_type
Protected Member Functions inherited from sigc::signal_base
iterator_type | connect (const slot_base& slot_)
| Adds a slot at the end of the list of slots. More...
iterator_type | connect (slot_base&& slot_)
| Adds a slot at the end of the list of slots. More...
iterator_type | erase (iterator_type i)
| Removes the slot at the given position from the list of slots. More...
internal::signal_impl* | impl () const
| Returns the signal_impl object encapsulating the list of slots. More...
iterator_type | insert (iterator_type i, const slot_base& slot_)
| Adds a slot at the given position into the list of slots. More...
iterator_type | insert (iterator_type i, slot_base&& slot_)
| Adds a slot at the given position into the list of slots. More...
Protected Attributes inherited from sigc::signal_base
internal::signal_impl* | impl_
| The signal_impl object encapsulating the slot list. More...

## Detailed Description

### template<class T_return, class T_arg1, class T_arg2>
class sigc::signal< T_return(T_arg1, T_arg2)>

This specialization allow use of the sigc::signal<R(Args...)> syntax,.

## Constructor & Destructor Documentation

template <class T_return , class T_arg1 , class T_arg2 >

sigc::signal< T_return(T_arg1, T_arg2)>::signal | ( |  | ) |
| inline

template <class T_return , class T_arg1 , class T_arg2 >

sigc::signal< T_return(T_arg1, T_arg2)>::signal | ( | const signal< T_return(T_arg1, T_arg2)>& | src | ) |
| inline

template <class T_return , class T_arg1 , class T_arg2 >

sigc::signal< T_return(T_arg1, T_arg2)>::signal | ( | signal< T_return(T_arg1, T_arg2)>&& | src | ) |
| inline

## Member Function Documentation

template <class T_return , class T_arg1 , class T_arg2 >

signal& sigc::signal< T_return(T_arg1, T_arg2)>::operator= | ( | const signal< T_return(T_arg1, T_arg2)>& | src | ) |
| inline

template <class T_return , class T_arg1 , class T_arg2 >

signal& sigc::signal< T_return(T_arg1, T_arg2)>::operator= | ( | signal< T_return(T_arg1, T_arg2)>&& | src | ) |
| inline